<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<!-- 
		<div>
			<h1>HTML Tables and Forms</h1>
		</div>
	 -->

 	<header>
 		<h1>HTML Tables and Forms</h1>
 	</header>

 	<main>
	<h2>HTML Entities</h2>
	<p>
		<em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with the HTML code).</em>
	</p>

	<table border="2">
		<!-- thead used to group table header content -->
		<thead>
			<!-- tr table row -->
			<tr>
				<!-- th defines table HEADER -->
				<th>Entity</th>
				<!-- colspan change number of columns -->
				<th colspan="2">Description</th>
			</tr>
		</thead>
		<!-- tbody group body content -->
		<tbody>
			<tr>
				<!-- td table data element -->
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>
			</tr>
			<tr>
				<!-- td table data element -->
				<td>&gt;</td>
				<td>gt</td>
				<td>greater than</td>
			</tr>
			<tr>
				<!-- td table data element -->
				<td>&#8369;</td>
				<td>#8369</td>
				<td>peso sign</td>
			</tr>
			<tr>
				<!-- td table data element -->
				<td>&amp;</td>
				<td>amp</td>
				<td>ampersand</td>
			</tr>
			<tr>
				<!-- td table data element -->
				<td>&apos;</td>
				<td>apos</td>
				<td>single quotation mark</td>
			</tr>
			<tr>
				<!-- td table data element -->
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>Lower n tilde</td>
			</tr>
			<tr>
				<!-- td table data element -->
				<td>&Ntilde;</td>
				<td>Ntilde</td>
				<td>Upper N tilde</td>
			</tr>
		</tbody>
		<!-- tfoot group footer content -->
		<tfoot>
			<tr>
				<th colspan="3">List of HTML Entities</th>
			</tr>
		</tfoot>
	</table>

	<h2>HTML Forms</h2>
	<p>
		<em>Input elements that make up a form.</em>
	</p>

	<!-- form capture user input
		action define where the info be sent -->
	<form action="https://www.google.com/">

		<label for="full_name">Full Name:</label> 
		<br>
		<input type="text" name="full_name" id="full_name" required autocomplete>
		<br>
		<label for="birth_date">Birth Date:</label> 
		<br>
		<input type="date" name="birth_date" id="birth_date" required>
		<br>
		<label for="age">Age:</label> 
		<br>
		<input type="number" name="age" id="age" required>
		<br>

		<label for="gender">Gender:</label>
		<select name="gender" id="gender">
			<option value="male">Male</option>
			<option value="female">Female</option>
		</select><br>

		<label for="notes">Notes:</label><br>
		<textarea name="notes" id="notes" rows="5"></textarea><br>

		<label>New User:</label>
			<input type="radio" name="new_user" id="user-type1" value="yes">
			<label for="user-type1">Yes</label>
			<input type="radio" name="new_user" id="user-type2" value="no">
			<label for="user-type2">No</label><br>

		<label>Role:</label><br>
			<input type="checkbox" name="role1" id="role1" value="developer">
			<label for="role1">Developer</label><br>
			<input type="checkbox" name="role2" id="role2" value="student">
			<label for="role2">Student</label><br>
			<input type="checkbox" name="role3" id="role3" value="manager">
			<label for="role3">Manager</label><br>

			
		<br>
		<button type="reset">Reset</button> <button>Submit</button>
		
	</form>

	</main>

</body>
</html>